r.contour(1)

NAME
r.contour - Produces a GRASS binary vector map of specified contours from GRASS raster map layer.

KEYWORDS
raster

SYNOPSIS
r.contour
r.contour help
r.contour [-qn] input=name output=name [levels=float[,float,...]] [minlevel=float] [maxlevel=float] [step=float] [cut=integer] [--overwrite]

  Flags:

-q  Suppress progress report & min/max information

-n  Suppress single crossing error messages

--overwrite

  Parameters:

input=name
    Name of input raster map

output=name
    Name for output vector map

levels=float[,float,...]
    List of contour levels

minlevel=float
    Minimum contour level

maxlevel=float
    Maximum contour level

step=float
    Increment between contour levels

cut=integer
    Minimum number of points for a contour line (0 -> no limit) Default: 0

DESCRIPTION
r.contour produces a GRASS binary vector map of specified contours from GRASS raster map layer.

    Contours are produced from a user-specified list of levels.

    Contours are produced at some regular increment from user-specified minimum level to maximum level. If no minimum or maximum level is specified, minimum or maximum data value will be used.

NOTES
r.contour will either step through incremental contours or produce contours from a list of levels, not both. If both a list of levels and a step are specified, the list will be produced and the step will be ignored.

Zero is treated as a valid data value by r.contour.

If a contour level exactly matches a category value in the raster file, the contour line may backtrack on itself, causing illegal arcs to be produced in the output GRASS vector file.

The optional cut parameter allows to specify a minimum number of point for a contour line to be put into output vector map, so that small spurs, single points and so on won't be present and the output will be more clear.

AUTHORS
Terry Baker, U.S. Army Construction Engineering Research Laboratory
3/2001: cut parameter and fixes by Andrea Aime (aaime@libero.it)

Last changed: $Date: 2004/07/01 08:47:19 $

Full index